Package org.eclipse.emf.cdo.lm.client

# Class ISystemDescriptor.ResolutionException.Reason.Dependency

java.lang.Object
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ResolutionException.Reason.Dependency

Enclosing class:
  `ISystemDescriptor.ResolutionException.Reason`

public static final class ISystemDescriptor.ResolutionException.Reason.Dependency extends Object

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`
`final VersionRange`
`versionRange`

## Constructor Summary

Constructors
Constructor
Description
`Dependency(String name, VersionRange versionRange)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public final String name

### versionRange

public final VersionRange versionRange

## Constructor Details

### Dependency

public Dependency(String name, VersionRange versionRange)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`